
	uniform sampler2D Texture0,Texture1,Texture2;
	uniform float Trans;
	uniform float ScrW;
	uniform float ScrH;
	
	void main()
	{

vec4 color ;





vec2 ColorUV;
ColorUV = texture2D(Texture1,gl_TexCoord[1].st).rg*0.1;
ColorUV.x+=-0.05+gl_FragCoord.x/520.0;	
ColorUV.y+=-0.05+gl_FragCoord.y/520.0;




color.rgb   	 = texture2D(Texture0,gl_TexCoord[1].st).rgb*0.5;
color.rgb   	 += texture2D(Texture2,ColorUV).rgb;

color.a   	 = 0.8;


gl_FragColor = color;

	}